# Type alias AsObject

AsObject: {
isTakerApiUser: boolean;
offerId: string;
pubKeyRing?: PubKeyRing.AsObject;
supportedCapabilitiesList: number[];
takersTradePrice: number;
tradeRequest?: InitTradeRequest.AsObject;
uid: string;
}

#### Type declaration

- ##### isTakerApiUser: boolean

- ##### offerId: string

- ##### `Optional` pubKeyRing?: PubKeyRing.AsObject

- ##### supportedCapabilitiesList: number[]

- ##### takersTradePrice: number

- ##### `Optional` tradeRequest?: InitTradeRequest.AsObject

- ##### uid: string

- Defined in src/protobuf/pb_pb.d.ts:746

Generated using TypeDoc